﻿body {
}

.reciboFinal,
.content-info-pay {
    width: 100%;
    background: white;
    margin: auto;
}

.subHdiv {
}

.content-info-pay {
    max-width: 500px;
}

.title-content-info-pay {
    background: #348ee3;
    color: white;
}

    .title-content-info-pay h2 {
        color: white;
    }

.c-w {
    color: white;
}

.reciboFinal {
    border-width: 1px;
    border-style: solid;
    border-color: #e8e8e8;
    background: #f2f3f4;
    max-width: 700px;
}

    .reciboFinal .bg-white {
        background: #f2f3f4 !important;
    }

    .reciboFinal.bg-success {
        border-color: #00acac;
    }

    .reciboFinal #titleResult {
        display: none;
    }

    .reciboFinal.bg-success .bg-white,
    .reciboFinal.bg-danger .bg-white {
        background: white !important;
    }

    .reciboFinal.bg-success #titleResult,
    .reciboFinal.bg-danger #titleResult {
        display: block;
    }

    .reciboFinal.bg-danger {
        border-color: #ff5b57;
    }

@media (min-width:670px) {
    .btn100h {
        height: 100%;
        display: flex !important;
        white-space: normal;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
        align-items: flex-start;
    }
}

div#content {
    max-width: 1400px;
    margin: 20px auto;
    padding: 0 25px;
}

.col-lg-4.max-he,
.col-md-4.max-he {
    height: 600px;
}

.col-xs-12.max-he,
.col-sm-12.max-he {
    height: auto !important;
}

@media screen and (min-height: 1000px) {
}

html,
body {
    height: 100%;
}
/*Aqui definimos que el footer este al fondo de la pantalla
       definimos el tamaño del footer
    */
/*div#footer {
    width: 100%;
    height: 300px !important;
    position: absolute;
    bottom: 0;
}*/
/*Luego en el pageContainer definimos que el tamaño minimo del container sea el 100% de la pantalla menos los 300px del tamaño del footer
para que el footer con position absolute tome el bottom de la pantalla sin importar su tamaño
*/

/*#page-container {
    padding-bottom: 330px;
    min-height: calc(100% - 300px);
    position: relative;
}*/

#header-top {
    z-index: 10;
    left: 0;
    right: 0;
    top: 0;
}

.gris {
    filter: hue-rotate(60deg) brightness(50%);
}

.header-logo {
    text-align: right;
    width: 100%;
    padding: 5px 40px 10px;
    background: #242a30;
}

    .header-logo img {
        width: 140px;
    }

#header-transi {
    width: 100%;
    text-align: center;
    padding: 1px;
    border-top: 1px solid #dddddd;
    border-bottom: 1px solid #dcdcdc;
    font-family: 'Open Sans',"Helvetica Neue",Helvetica,Arial,sans-serif;
    background: #b6192d;
}

.test-mode {
    color: white;
}


.panel.panel-default .panel-title a {
    font-size: 20px;
}

.panel {
    border: none !important;
}

.flaticon {
    opacity: 1;
    transition: all 0.4s ease;
}

    .flaticon > img {
        margin: auto;
    }

.panel {
    border: none !important;
}

.panel-stat1 .value {
    font-size: 60px;
    transition: all 0.4s ease;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
}

.panel-stat1:hover .flaticon {
    opacity: 0.9;
    transition: all 0.4s ease;
}

.brd-bg-transparent {
    background: transparent !important;
    border: none !important;
    box-shadow: none !important;
}

.fadeInDown {
    animation-name: fadeInDown;
    -webkit-animation-name: fadeInDown;
    -moz-animation-name: fadeInDown;
    -ms-animation-name: fadeInDown;
    -o-animation-name: fadeInDown;
    animation-duration: 1s;
    -webkit-animation-duration: 1s;
    -moz-animation-duration: 1s;
    -ms-animation-duration: 1s;
    -o-animation-duration: 1s;
}

.animation-delay3 {
    animation-delay: 0.5s;
    -webkit-animation-delay: 0.5s;
    -moz-animation-delay: 0.5s;
    -ms-animation-delay: 0.5s;
    -o-animation-delay: 0.5s;
    animation-timing-function: ease;
    -webkit-animation-timing-function: ease;
    -moz-animation-timing-function: ease;
    -ms-animation-timing-function: ease;
    -o-animation-timing-function: ease;
    animation-fill-mode: both;
    -webkit-animation-fill-mode: both;
    -moz-animation-fill-mode: both;
    -ms-animation-fill-mode: both;
    -o-animation-fill-mode: both;
}

.value {
    transition: transform 0.3s ease; /* Añade una transición suave */
}

    .value:hover {
        -webkit-transform: scale(1.1); /* Reduce el valor del scale */
        transform: scale(1.1);
    }

.swal-button:not([disabled]):hover {
    background-color: #dc3545a6 !important;
}

#btnDetail {
    display: none;
}

#LoadPayment > div:first-child {
    max-width: 530px !important;
}

#LoadPayment > div {
    margin: auto auto 20px !important;
}


#content.finish > div.row > .col-lg-4.col-md-4.col-sm-12.col-xs-12.max-he,
#content.finish > div.row > .col-lg-8.col-md-8.col-sm-12.col-xs-12 > div#Contador {
    display: none !important;
}

#content > div.row > #space {
    display: none;
}

#content.finish > div.row > #space {
    display: block;
}

#cardData {
    margin-top: 25px !important;
}

table.table.table-borderless.f-s-12.f-w-600.w-75.m-auto {
    text-align: center;
    max-width: 700px;
    background: #f9f8f8;
}

@media (max-width:670px) {
    #header-top > div > div:first-child {
        /*display: none !important;*/
        margin-top: -15px;
    }

        #header-top > div > div:first-child > label:first-child {
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

    .header-logo img {
        width: 90px !important;
    }

    .selectCustomize {
        height: 25px !important;
        padding: 2px 17px 2px 10px !important;
    }

    .col-lg-4.col-md-4.col-sm-12.col-xs-12.max-he {
        margin-left: -10px !important;
    }

    table.table.table-borderless.f-s-12.f-w-600.w-75.m-auto {
        width: 100% !important;
    }

    .m-auto.m-t-25.text-center.w-75 {
        width: 100% !important;
    }

    .header-logo {
        padding: 5px 10px 10px !important;
        position: fixed;
    }

    h4.f-s-15.f-w-500.m-0.p-l-25 {
        font-size: 12px !important;
    }

    #content > div.row:first-child > .col-lg-8.col-md-8.col-sm-12.col-xs-12 {
        margin-top: 110px;
    }

    .sw-main > ul.step-anchor.nav-tabs > li > a .number + .info {
        display: none !important;
    }

    .sw-theme-default > .nav-tabs > li {
        float: none !important;
    }

    li.col-md-3.col-sm-4.col-6.nav-item {
        width: 25%;
        text-align: center;
    }

    .sw-main > ul.step-anchor.nav-tabs > li > a {
        padding: 0;
        display: inherit;
        text-align: center;
        margin-bottom: 0 0 9px 0;
        border-radius: 100%;
    }

    .nav-item > a.nav-link {
        margin: 12px 0 !important;
    }

    span.number {
        margin-right: 0 !important;
    }

    .sw-main > ul.step-anchor.nav-tabs > li.done > a .number, .sw-main > ul.step-anchor.nav-tabs > li.done > a .number:before {
        background: #6bbea1 !important
    }

    .btn-toolbar.justify-content-end.sw-toolbar.sw-toolbar-bottom {
        text-align: center;
    }

        .btn-toolbar.justify-content-end.sw-toolbar.sw-toolbar-bottom > .btn-group.sw-btn-group {
            display: contents;
        }

    .nav-link {
        margin: 0
    }

    #divDisplayN {
        display: none;
        box-shadow: 0px 19px 40px 7px rgba(41,41,41,0.75);
        -webkit-box-shadow: 0px 19px 40px 7px rgba(41,41,41,0.75);
        -moz-box-shadow: 0px 19px 40px 7px rgba(41,41,41,0.75);
    }

        #divDisplayN.dis {
            display: block !important;
        }

    #btnDetail {
        display: block !important;
        text-align: right;
        color: #dfffff;
        position: absolute;
        right: 15px;
        text-align: right;
        top: 33px;
    }

    .header-logo > img,
    .footer-brand > img {
        width: 80px !important;
        height: auto !important;
    }

    h3.test-mode {
        font-size: 16px;
        padding: 3px 3px 3px 3px;
        margin: 0;
    }

    .footer .footer-brand {
        margin-bottom: 10px;
    }

    .content-info-pay {
        display: inline-table;
        position: fixed;
        top: 45px;
        z-index: 80;
        max-width: 100%;
    }

    #footer.footer {
        padding: 20px;
        height: auto !important;
    }

    .flaticon > img {
        width: 100px;
    }

    div.jp-card-front {
        height: 175px !important;
    }



    .jp-card-number.jp-card-display.jp-card-invalid,
    .jp-card-number.jp-card-display.jp-card-valid {
        font-size: 18px !important;
    }

    .jp-card-name.jp-card-display.jp-card-valid,
    .jp-card-name.jp-card-display.jp-card-invalid {
        font-size: 14px !important;
        margin-top: 80px !important;
        top: -2px !important;
    }

    #footer p {
        font-size: 10px;
        background: transparent !important;
    }

    #content.finish .content-info-pay,
    #content.finish > div.row > .col-lg-8.col-md-8.col-sm-12.col-xs-12 > div#Contador {
        display: none;
    }

    #content.finish > div.row:first-child > .col-lg-8.col-md-8.col-sm-12.col-xs-12 {
        margin-top: 40px;
    }

    #content > .row {
        display: flex;
    }

        #content > .row > * {
            order: 0;
            margin: 0px 2px;
        }

        #content > .row > .col-lg-8.col-md-8.col-sm-12.col-xs-12 {
            order: 2;
        }

        #content > .row > .col-lg-4.col-md-4.col-sm-12.col-xs-12.max-he {
            order: 1;
        }

    .jp-card {
        display: contents;
    }

    #page-container´ {
        padding-bottom: 200px;
    }

    div#content {
        margin: 0px;
        padding: 0px 10px;
    }

    h2 {
        font-size: 20px;
    }

    .content-info-pay.f-s-15 .p-10 {
        padding: 4px !important;
        font-size: 12px !important;
    }

    #page-container {
        padding-bottom: 150px;
    }
}

.text-card-opcion {
    font-size: 14px;
}

.containerCards {
    display: flex;
    background: #f9f9f9;
    border-style: solid;
    border-color: #f2f3f4;
    border-width: 2px;
    padding: 25px 0px;
}

    .containerCards .btn-lg.btn-block {
        cursor: pointer;
    }

        .containerCards .btn-lg.btn-block.btnscards.selectedf {
            cursor: pointer;
            -webkit-box-shadow: 0px 0px 3px 0px #339255;
            box-shadow: 0px 0px 3px 0px #339255;
        }



.pageInvalidates > .login-wrapper .login-widget {
    background: transparent !important;
    border: 4px dashed #92969a;
    box-shadow: none;
    color: #92969a;
    padding: 0 20px 20px;
    width: 400px !important;
}


/*#region PageInvalidates */
.pageInvalidates > .login-wrapper .login-widget {
    background: transparent !important;
    border: 4px dashed #92969a;
    box-shadow: none;
    color: #92969a;
    padding: 0 20px 20px;
    width: 400px !important;
}

.pageInvalidates > .login-wrapper .panel-KinposDefault {
    background: transparent !important;
}

    .pageInvalidates > .login-wrapper .panel-KinposDefault p {
        font-size: 19px;
        margin-bottom: 30px;
    }

    .pageInvalidates > .login-wrapper .panel-KinposDefault div h1 {
        font-size: 39px;
        font-weight: bolder;
    }

    .pageInvalidates > .login-wrapper .panel-KinposDefault div.button-PageIn div a {
        background: white;
        border: 1px solid #b9b9b9;
        border-radius: 5px;
        display: block;
        margin: 12px;
        padding: 5px;
    }

        .pageInvalidates > .login-wrapper .panel-KinposDefault div.button-PageIn div a:hover {
            color: #3d88a5;
            background: #f2f7f7;
            background: rgba(255,255,255,1);
            background: -moz-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 60%, rgba(242,247,247,1) 84%, rgba(242,247,247,1) 100%);
            background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(255,255,255,1)), color-stop(60%, rgba(255,255,255,1)), color-stop(84%, rgba(242,247,247,1)), color-stop(100%, rgba(242,247,247,1)));
            background: -webkit-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 60%, rgba(242,247,247,1) 84%, rgba(242,247,247,1) 100%);
            background: -o-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 60%, rgba(242,247,247,1) 84%, rgba(242,247,247,1) 100%);
            background: -ms-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 60%, rgba(242,247,247,1) 84%, rgba(242,247,247,1) 100%);
            background: linear-gradient(to bottom, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 60%, rgba(242,247,247,1) 84%, rgba(242,247,247,1) 100%);
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#f2f7f7', GradientType=0 );
            box-shadow: 0 0 1px 1px #bfeef9;
        }

.pageInvalidates .divtext-center > img {
    width: 50px;
}


.content-gear-error {
    top: 118px;
    width: 100%;
    z-index: -1;
}

    .content-gear-error div.ojk {
        margin: auto;
        margin-top: 35px;
        position: absolute;
        z-index: -1;
    }

.gear {
    -moz-animation: rotate 80s ease-out 1;
    -webkit-animation: rotate 80s ease-out 1;
    animation: rotate 80s ease-out 1;
    background: transparent;
    border-radius: 50%;
    box-shadow: inset 0 0 0px 27px #eaeaea, inset 0 0 0px 32px #e0e0e0;
    height: 100px;
    position: relative;
    margin-left: 158px;
    margin-top: 50px;
    top: -28px;
    width: 100px;
}

    .gear:before,
    .gear:after,
    .gear2:before,
    .gear2:after {
        background: #eaeaea;
        border-radius: 20%;
        content: '';
        height: 20px;
        position: absolute;
        width: 20px;
    }

    .gear:before,
    .gear2:before {
        box-shadow: 50px 50px 0 0 #eaeaea, -50px 50px 0 0 #eaeaea, 0 100px 0 0 #eaeaea;
        left: 40px;
        top: -10px;
    }

    .gear:after,
    .gear2:after {
        box-shadow: 0px 100px 0 0 #eaeaea, 50px 50px 0 0 #eaeaea, -50px 50px 0 0 #eaeaea;
        left: 76px;
        transform: rotate(45deg);
        top: 5px;
    }

.gear2 {
    -moz-animation: rotate2 80s ease-out 1;
    -webkit-animation: rotate2 80s ease-out 1;
    animation: rotate2 80s ease-out 1;
    background: transparent;
    border-radius: 50%;
    box-shadow: inset 0 0 0px 27px #eaeaea, inset 0 0 0px 32px #e0e0e0;
    height: 100px;
    left: 96px;
    position: relative;
    top: -35px;
    width: 100px;
}
/*Keyframes*/
@-webkit-keyframes rotate {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(-3600deg);
    }
}

@-moz-keyframes rotate {
    0% {
        -moz-transform: rotate(0deg);
    }

    100% {
        -moz-transform: rotate(-3600deg);
    }
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(-3600deg);
    }
}

@-webkit-keyframes rotate2 {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(3600deg);
    }
}

@-moz-keyframes rotate2 {
    0% {
        -moz-transform: rotate(0deg);
    }

    100% {
        -moz-transform: rotate(3600deg);
    }
}

@keyframes rotate2 {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(3600deg);
    }
}

/*#endregion */

/*#region NeedHelp */
.viewNeedHelp .collapse {
    overflow: hidden;
}

.viewNeedHelp #collapseOne > .St,
.viewNeedHelp #collapseTwo > .St {
    padding: 8px !important;
}

.viewNeedHelp a[href^="/login"] {
    float: right;
}
/*#endregion */

/*#region ForgotPassword*/
.viewForgotPassword .login-wrapper .login-widget,
.viewForgotPassword #login .wrapper {
    max-width: 454px !important;
    width: 100% !important;
}

.login-wrapper .login-widget {
    margin: 20px auto 0;
    width: 400px;
}
/*#endregion */

/*#endregion */


.value text-center.col-lg-2.col-md-2.col-sm-2 {
    display: flex;
    align-items: stretch;
}


.btn-lg.btn-block.btnscards {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

    .btn-lg.btn-block.btnscards .flaticon {
        display: contents;
    }


.card .value {
    display: flex;
}

.skeleton-container {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    width: 100%;
    max-width: 400px; /* Ajuste igual al formulario */
    margin: 0 auto; /* Para centrar */
    padding: 1rem;
    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    background-color: #fff;
}

.skeleton-box {
    width: 100%;
    height: 40px;
    background: #e0e0e0;
    border-radius: 5px;
    animation: pulse 1.5s infinite ease-in-out;
}

.skeleton-small-box {
    width: 55%;
    height: 40px;
    background: #e0e0e0;
    border-radius: 5px;
    animation: pulse 1.5s infinite ease-in-out;
}

.skeleton-toggle {
    width: 100%;
    height: 60px;
    background: #e0e0e0;
    border-radius: 10px;
    animation: pulse 1.5s infinite ease-in-out;
}

@keyframes pulse {
    0% {
        background-color: #e0e0e0;
    }

    50% {
        background-color: #f0f0f0;
    }

    100% {
        background-color: #e0e0e0;
    }
}

.payment-form-container {
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
    border-radius: 10px;
    background-color: #f2f4f8;
}

.input-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
}

.input-field {
    width: 100%;
    padding: 20px 10px 10px 10px;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 5px;
    outline: none;
    transition: all 0.3s ease;
    background: #ffffff;
}

    .input-field:focus {
        border-color: #ffffff;
        background-color: #e0f7ff;
        box-shadow: 0 0 5px rgba(0, 123, 255, 0.3);
    }

.card-icon-inside {
    position: absolute;
    right: 10px;
    top: 69%;
    transform: translateY(-50%);
    width: 40px;
    height: auto;
    background-color: white;
}

.half-width {
    width: 48%;
}

/* Estilos del switch checkbox */
.click-to-pay-container {
    display: flex;
    align-items: center;
    padding: 5px;
    border-radius: 8px;
    margin-top: 1rem;
}

.click-to-pay-label {
    display: flex;
    align-items: center;
    font-size: 1rem;
    gap: 12px;
    width: 100%;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
}

/* Switch Checkbox estilo */
.switch {
    position: relative;
    display: inline-block;
    width: 85px;
    height: 22px;
    -webkit-appearance: none;
    appearance: none;
    background-color: #ccc;
    border-radius: 20px;
    cursor: pointer;
    outline: none;
    transition: background-color 0.3s ease;
}

    .switch:checked {
        background-color: #007bff;
    }

    .switch::before {
        content: '';
        position: absolute;
        width: 20px;
        height: 20px;
        left: 0px;
        bottom: 0px;
        background-color: white;
        border-radius: 50%;
        transition: transform 0.3s ease;
        border: 1px solid #dddddd;
    }

    .switch:checked::before {
        transform: translateX(16px);
    }

.click-to-pay-text {
    flex-grow: 1;
}

.click-to-pay-label a {
    color: #007bff;
    font-weight: bold;
}

.review-details-container {
    border: 1px solid #e0e0e0;
    border-radius: 10px;
    padding: 20px;
    background-color: #f9f9f9;
    margin-top: 20px;
    width: 100%;
    max-width: 400px;
}

    .review-details-container h3 {
        margin-bottom: 15px;
        font-size: 1.2rem;
    }

.details-box {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 15px;
    border-radius: 8px;
    border: 1px solid #ddd;
    background-color: white;
}

.details-content p {
    margin: 5px 0;
    font-size: 0.95rem;
    color: #333;
}

.edit-icon {
    font-size: 1.2rem;
    color: #007bff;
}

.terms-text, .confirmation-text {
    font-size: 0.85rem;
    color: #666;
    margin-top: 15px;
}

    .terms-text a {
        color: #007bff;
        text-decoration: none;
    }

        .terms-text a:hover {
            text-decoration: underline;
        }

.confirmation-text {
    margin-top: 5px;
}

input {
    width: 50px;
    padding: 5px;
    margin-top: 5px;
    font-size: 0.95rem;
    border: 1px solid #ddd;
    border-radius: 4px;
}

.display1flexmm {
    display: flex;
    justify-content: space-between;
}

.checkOmi {
    width: 25px !important;
    cursor: pointer;
}


.otp-container img {
    width: 100px;
    max-width: 32px;
}

.otp-title {
    font-size: 1rem;
    margin: 10px 0;
    text-align: left;
    font-weight: 700;
    color: #242a30;
}

.otp-description {
    font-size: 0.9rem;
    color: #666;
    margin-bottom: 15px;
    text-align: left;
}

.otp-inputs {
    display: flex;
    justify-content: space-between;
}

    .otp-inputs input {
        height: 45px;
        font-size: 1.5em;
        text-align: center;
        border: 1px solid #ccc;
        border-radius: 4px;
        margin: 4px;
        font-weight: bolder;
    }

.resend-link {
    color: #0066c0;
    font-size: 0.8rem;
    cursor: pointer;
    margin-top: 10px;
    margin-bottom: 5px;
    text-align: center;
    text-decoration: underline;
}

.skip-verification {
    display: flex;
    margin: 15px 0;
    align-items: flex-start;
    flex-direction: row;
    justify-content: flex-start;
    text-align: left;
}

    .skip-verification input {
        margin-right: 5px;
    }

    .skip-verification label {
        font-size: 0.8rem;
    }

.btn.btn-block.btn-secondary.verify-button {
    font-size: 1rem;
}
/*.verify-button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 1em;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 10px;
}*/
.verify-button:hover {
    background-color: #0056b3;
}

.card-icons {
    display: flex;
    justify-content: flex-start;
    margin-bottom: 10px;
    width: 100%;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    align-items: center;
}

#clickToPayContainer {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: space-between;
}

.user-info {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    font-size: 0.9em;
    color: #333;
    padding: 5px 10px;
}

    .user-info a {
        color: #0066c0;
    }

        .user-info a:hover {
            text-decoration: underline;
        }


.otp-input.error {
    border: 1px solid red;
    background-color: #ffe6e6;
}

.otp-error-message {
    color: red;
    margin-top: 10px;
    font-size: 0.8rem;
    font-weight: 500;
}

#switchForm {
    /*display: none;*/ /* Escondido por defecto */
    margin-top: 20px;
}

    #switchForm label {
        display: block;
        margin-bottom: 5px;
    }

    #switchForm input {
        width: 100%;
        padding: 10px;
        margin-bottom: 15px;
        font-size: 1em;
        border-radius: 4px;
        border: 1px solid #ccc;
    }

    #switchForm button {
        width: 100%;
        padding: 10px;
        margin-top: 10px;
        font-size: 1em;
        color: #fff;
        /*        background-color: #007bff;*/
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }

        #switchForm button.cancel {
            background-color: #ccc;
            color: #333;
        }

        #switchForm button:hover {
            opacity: 0.9;
        }

.separator {
    position: relative;
    display: flex;
    align-items: center;
    margin-bottom: 16px;
}

    .separator::before, .separator::after {
        content: "";
        flex: 1;
        border-bottom: 1px solid #ccc;
    }

    .separator::before {
        margin-right: 8px;
    }

    .separator::after {
        margin-left: 8px;
    }

.separator-text {
    font-size: 12px;
    color: #777;
}

.manual-entry-button {
    padding: 12px 24px;
    border: 1px solid #aaa;
    background-color: #fff;
    color: #333;
    font-size: 16px;
    cursor: pointer;
    border-radius: 8px;
    transition: background-color 0.3s ease;
}

    .manual-entry-button:hover {
        background-color: #f0f0f0;
    }

.payment-container {
    background: #ffffff;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 360px;
    text-align: center;
}

.card-list {
    margin-bottom: 20px;
}

.card-item {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #ddd;
    padding: 10px 10px 10px 0;
    margin-bottom: 10px;
    cursor: pointer;
    justify-content: space-between;
}

.card-list .card-item:last-child {
    border-bottom: none;
    margin-bottom: 0;
}



.card-item img {
    width: 40px;
    margin-right: 10px;
    border-radius: 3px;
}

.cardpay-info {
    flex-grow: 1;
    text-align: right;
}

input[type="radio"] {
    margin-left: 10px;
}

.pay-button {
    background-color: #007bff;
    color: #ffffff;
    padding: 12px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 1em;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .pay-button:before {
        content: '🔒';
        margin-right: 10px;
    }

    .pay-button:hover {
        background-color: #0056b3;
    }

.more-cards {
    text-align: center;
    color: #3e83a5;
    cursor: pointer;
}

#phone-error {
    font-size: 0.875rem; /* Tamaño de letra del mensaje */
    margin-top: 5px; /* Espaciado entre el campo y el mensaje */
    color: red; /* Color del texto de error */
}

.input-group {
    flex-wrap: nowrap; /* Asegura que los elementos no se envuelvan */
}

    .input-group > .form-control {
        flex: 1 1 auto; /* Asegura que el campo de entrada ocupe el espacio necesario */
    }

.titulo-seccionVN {
    font-weight: 600;
    font-size: 1rem;
    color: #021e4c;
    margin-bottom: 1rem;
}

.tarjetaVN {
    background-color: #f5f7fa;
    border-radius: 2px;
    padding: 1rem;
    margin-bottom: 1rem;
    border: 1px solid #e0e0e0;
}

.tarjeta-tituloVN {
    font-weight: 600;
    font-size: 0.95rem;
    color: #021e4c;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 0.5rem;
    cursor: pointer;
}

.tarjeta-contenidoVN {
    font-size: 0.87rem;
    color: #021e4c;
}

.modalVN.modal-backdrop {
    background: rgb(163 179 195 / 80%) !important;
}

.btnColorVN {
    background: #0b5f85;
    border-color: #277193;
}


    .btnColorVN:hover {
        background: #3e83a5 !important;
        border-color: #3e83a5 !important;
    }

.tarjeta-tituloVN::after {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f077"; /* fa-chevron-up */
    color: #0b5f85;
    font-size: 12px
}

.tarjeta-tituloVN.collapsed::after {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f078"; /* fa-chevron-down */
    color: #0b5f85;
    font-size: 12px
}

.payment-container.bgVN {
    background: #f2f4f8;
}

button#ManualCard {
    font-size: 0.8rem;
    color: #3e83a5;
    border-color: #3e83a5;
}

    button#ManualCard:hover,
    button#ManualCard:focus,
    button#ManualCard:hover:focus {
        color: #ffffff !important;
        background: #3e83a5;
    }

.card-item div div img {
    width: 25px;
    margin-right: 10px;
}

.card-item div div span {
    font-size: 10px
}

.text-labelinput {
    text-transform: uppercase;
    position: absolute;
    top: 10px;
    left: 10px;
    font-size: 10px;
    color: #a4a8b0;
}

.degraded-border {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    padding: 8px 12px;
    border-radius: 6px;
    background: linear-gradient(to right, #5cc5ff, #d66eff); /* azul a morado */
    color: black;
    /* Truco para borde degradado */
    position: relative;
    flex-direction: column;
}

    .degraded-border::before {
        content: "";
        position: absolute;
        top: 2px;
        bottom: 2px;
        left: 2px;
        right: 2px;
        border-radius: 4px;
        background: #f2f4f8; /* Fondo interior */
        z-index: 0;
    }

    .degraded-border > * {
        position: relative;
        z-index: 1;
    }
